#
# spec file for package python-Pylons
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Pylons
Version:        1.0.2
Release:        bp153.1.18
Summary:        Pylons Web Framework
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://www.pylonshq.com/
Source:         http://pypi.python.org/packages/source/P/Pylons/Pylons-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-Beaker
BuildRequires:  python-FormEncode
BuildRequires:  python-Genshi
BuildRequires:  python-Jinja2 >= 2.2.1
BuildRequires:  python-Mako
BuildRequires:  python-MarkupSafe
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy
BuildRequires:  python-PasteScript
BuildRequires:  python-Routes
BuildRequires:  python-Tempita
BuildRequires:  python-WebError
BuildRequires:  python-WebHelpers
BuildRequires:  python-WebOb
BuildRequires:  python-WebTest
BuildRequires:  python-coverage >= 2.85
BuildRequires:  python-decorator
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson
Requires:       python-Beaker >= 1.5.4
Requires:       python-FormEncode >= 1.2.4
Requires:       python-Mako >= 0.5.0
Requires:       python-MarkupSafe >= 0.15
Requires:       python-Paste >= 1.7.5.1
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-PasteScript >= 1.7.4.2
Requires:       python-Routes >= 1.12.3
Requires:       python-Tempita >= 0.5.1
Requires:       python-WebError >= 0.10.3
Requires:       python-WebHelpers >= 0.6.4
Requires:       python-WebOb >= 1.1.1
Requires:       python-WebTest >= 1.3.1
Requires:       python-decorator >= 3.3.2
Requires:       python-nose >= 1.1.2
Requires:       python-simplejson >= 2.2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       python-pylons = %{version}
Obsoletes:      python-pylons < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The Pylons web framework is aimed at making webapps and large programmatic
website development in Python easy. Several key points:

  * A framework to make writing web applications in Python easy
  * Utilizes a minimalist, component-based philosophy that makes it easy to
    expand on
  * Harness existing knowledge about Python

%prep
%setup -q -n Pylons-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/test_files # Remove junk
%fdupes %{buildroot}%{_prefix}

# Disable the tests; brocken
#%%check
#nosetests -e test_network_failed_validation_non_ascii

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.rst UPGRADING
%{python_sitelib}/pylons
%{python_sitelib}/Pylons-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Sep 28 2016 mardnh@gmx.de
- Update to 1.0.2:
  * In the event of a NilAccept for the language, request.languages() would
    throw an AttributeError exception. Fixes #24.
  * Encode Location HTTP header in redirect responses in UTF-8. Per
    RFC 3987. Refers to #15.
  * Remove "Post Traceback" as it was a possible XSS vector with prior versions
    of WebError, and the PylonsHQ site is no longer in existence to support them.
* Wed Nov 12 2014 p.drouand@gmail.com
- Disable the brocken tests; fix build on Factory
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Aug 18 2013 toddrme2178@gmail.com
- Disable only failing network-dependent test
* Sun Aug 18 2013 toddrme2178@gmail.com
- Disable tests since they fail without a network connection
* Sat Oct  6 2012 os-dev@jacraig.com
- Update to 1.0.1:
  * No changes since RC1.
- A diff reveals some changes in the doc build files, but that's it.
- Update version numbers on various dependencies to match those given in
  setup.py.
- Add dependency on python-MarkupSafe, python-Paste and python-PasteDeploy, as
  indicated in setup.py.
- Run test suite (the problem in Python-Beaker package causing test failures
  is now fixed) and re-add build dependencies for tests.
- Remove stray .gitignore file in %%install.
* Tue Jan 31 2012 saschpe@suse.de
- Don't install testsuite test files
- Removed build dependencies for testsuite (isn't run due to errors
  currently)
- Update to version 1.0.1rc1:
  * authenticate_form allows for GET. Patch by iElectric.
  * jsonify now properly sets charset to utf-8.
  * Add ability for jsonify to handle objects with a __json__ attribute using
    custom JSONEncoder class similar to TG2. Patch by Bob Farrell.
  * Added ability for __before__ to reference a callable function. Patch
    contributed by mverdone.
  * Pulled in JSON-RPC support from agentultra's pylons fork.
  * Apply patch for proper pylons.__version__ under Windows. Contributed by
    Christoph Zwerschke.
  * Utilize MarkupSafe for faster HTML escaping.
  * Fix signed cookies by using standard base64 alphabet, and prevent timing
    attacks on signature comparison.
  * Added setup of app_globals and config to Pylons config.init_app to ensure
    as long as the Pylons application is loaded, the app_globals and config
    will be appropriately initialized.
  * Documentation updates.
* Thu Sep  1 2011 saschpe@suse.de
- Renamed to python-Pylons, to match upstream name
- Use fdupes
- Changed license to BSD-3-Clause (SPDX style) from BSD3c
* Sat Jul 24 2010 renato.ppontes@gmail.com
- Update to 1.0
* Wed Aug  5 2009 cfarrell1980@gmail.com
- Imported to OBS
* Tue Dec  2 2008 jfunk@funktronics.ca
- Initial release
